package com.brilliance.isc.common.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

//用于解决表外模块存路径，然后使用的时候反射取值的问题，经过分析其实只需要objinr和objtyp
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SimpleModuleVo extends AbstractCommonVo {

    private String objinr;

    private String objtyp;

    public static SimpleModuleVo buildModule(BizInfoVo rec) {
        return new SimpleModuleVo(rec.getObjinr(), rec.getObjtyp());
    }

    public static SimpleModuleVo buildModule(String objinr, String objtyp) {
        return new SimpleModuleVo(objinr, objtyp);
    }
}
